Sqliteman 1.2.2

Sqliteman is an Sqlite database development and management tool. I don't know much about databases, but it looks good.

You need to install the Qt4 package first (see my earlier blog post: http://bkhome.org/blog/?viewDetailed=02072).

Then install Sqliteman (1.6MB):
http://distro.ibiblio.org/pub/linux/distributions/quirky/pet_packages-wary5/sqliteman-1.2.2-w5.pet

...documentation is in the PET.

Sqliteman home:
http://sqliteman.com/


Posted on 9 Jan 2011, 16:19


Comments:

Posted on 10 Jan 2011, 5:08 by 8-bit
Sqlite
I installed both the Quicktime Pet and Sqlite Pet,
When I start Sqlite, it hangs with a message in the tray of Script error and fails to go any further. When I click in the tray message and select Close, Sqlite then continues to load.
So what am I missing?



Posted on 10 Jan 2011, 7:29 by BarryK
re hangs
What do you mean, "installed both the Quicktime Pet and Sqlite Pet"? What are they?

Wary, as do all puppies, already has Sqlite.

In Wary, all that you have to do is install Qt4 and Sqliteman as described above. This may also work in other puppies, but not guaranteed.

What has Quicktime got to do with it?



Posted on 10 Jan 2011, 7:35 by BarryK
Re hangs
Further note, I mean recent puppies. Old 4.x, 3.2, 2.x puppies may have too-old sqlite, and it may even be missing. Sqliteman will probably only work in one of our recent puppies.

This package was compiled for Wary Puppy.



Posted on 10 Jan 2011, 14:09 by 8-bit
Re. Hangs
Sorry if I did not explain myself fully.
I installed both Pets in your post to Lupu 5.2.
And with abbreviations the way they are, I just assumed that QT4 was short for quicktime.
But anyway, I did find that it worked other than the script error on starting it.
And that could have been due to installing it in Lupu 5.2.



Posted on 10 Jan 2011, 15:59 by BarryK
Re Qt
8-bit,
Ah I see, yes, that is an understandable mistake.

Qt is a library, the main competitor to the GTK library suite. Some major applications such as VLC and Scribus (and Sqliteman) use Qt. Qt used to be owned by Trolltech, now by Nokia -- yes privately owned, but open source.

Note that Qt4 and VLC should already be available in the Ubuntu Lucid repositories. But of course they will be much bulkier than mine.



Posted on 10 Jan 2011, 16:01 by BarryK
Re Qt
...and Sqliteman, Scribus, etc., should all be in the Ubuntu repos, I would think.